General Styles
body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    margin: 0;
    line-height: 1.6;
    background-color: #f9f9f9;
    text-align: center;
}

.navbar {
    background-color: #277cd1;
    color: white;
    padding: 1rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 1000;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 20px;
}

.nav-links a {
    color: white;
    text-decoration: none;
}

.animated-box-wrapper{
    width: 150px;
    height: 150px;
    background-color: rgb(149, 216, 41);
    margin: auto; 
    border-radius: 10px;
    animation: moveupdown 2s ease-in-out infinite;
    transition: transform 0.6s;

    /* transition-property: all;
    transition-duration: 2s;
    transition-timing-function: linear;
    transition-delay: 2s; */
}
@keyframes moveupdown{
    0%,100%{transform: translateY(0);}
    50%{transform: translateY(-40px);}
}

.container {
    padding: 60px 20px;
}





.glowing-card {
   box-shadow: #4605af;
    width: 280px;
    margin: 20px auto;
    padding: 20px;
    background: rgb(206, 198, 46);
    border: 2px solid #060221;
    border-radius: 15px;
    animation: pulseGlow 2s infinite;
}

@keyframes pulseGlow {
   
    0% { box-shadow: 0 0 5px rgba(71, 147, 198, 0.4); }
    50% { box-shadow: 0 0 25px rgba(45, 234, 95, 0.9); }
    100% { box-shadow: 0 0 5px rgba(18, 109, 170, 0.4); }
}


.spinning-icon {
    font-size: 50px;
    display: inline-block;
    margin: 20px;
    animation: rotateFull 4s linear infinite;
    display: flex;
    justify-content: center;
}

@keyframes rotateFull {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}

.bounce-button {
    background-color: #d823a8;
    color: white;
    border: none;
    padding: 15px 40px;
    font-size: 1.1rem;
    border-radius: 30px;
    cursor: pointer;
    animation: bounce 2s infinite;
}

@keyframes bounce {
    0%, 20%, 50%, 80%, 100% { transform: translateY(0); }
    40% { transform: translateY(-20px); }
    60% { transform: translateY(-10px); }
}

hr {
    width: 50%;
    border: 0.5px solid #ddd;
}